using System;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Drawing;
using System.Globalization;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SK.MemberWeb.Controls
{
	/// <summary>
	/// CheckBoxPlus µÄÕªÒªËµÃ÷¡£
	/// </summary>
	[ToolboxDataAttribute("<{0}:CheckBoxPlus runat=server></{0}:CheckBoxPlus>")]  
	public class CheckBoxPlus:CheckBox
	{
		[DefaultValue("")]
		public string CommandArgument
		{
			get
			{
				string strCommandArgument = (string) this.ViewState["CommandArgument"];
				if (strCommandArgument != null)
				{
					return strCommandArgument;
				}
				return string.Empty;
			}
			set
			{
				this.ViewState["CommandArgument"] = value;
			}
		}

		[DefaultValue("")]
		public string CommandName
		{
			get
			{
				string strCommandName = (string) this.ViewState["CommandName"];
				if (strCommandName != null)
				{
					return strCommandName;
				}
				return string.Empty;
			}
			set
			{
				this.ViewState["CommandName"] = value;
			}
		}

	}
}
